Package org.eclipse.ui.internal

# Class LocalWorkingSetManager

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.internal.AbstractWorkingSetManager
org.eclipse.ui.internal.LocalWorkingSetManager

All Implemented Interfaces:
  `EventListener`, `IExtensionChangeHandler`, `ILocalWorkingSetManager`, `IWorkingSetManager`, `BundleListener`

public class LocalWorkingSetManager extends AbstractWorkingSetManager implements ILocalWorkingSetManager

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkingSetManager

`CHANGE_WORKING_SET_ADD, CHANGE_WORKING_SET_CONTENT_CHANGE, CHANGE_WORKING_SET_LABEL_CHANGE, CHANGE_WORKING_SET_NAME_CHANGE, CHANGE_WORKING_SET_REMOVE, CHANGE_WORKING_SET_UPDATER_INSTALLED, CHANGE_WORKING_SET_UPDATER_UNINSTALLED`

## Constructor Summary

Constructors
Constructor
Description
`LocalWorkingSetManager(BundleContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRecentWorkingSet(IWorkingSet workingSet)`
Adds a working set to the top of the list of most recently used working sets, making it the most recently used working set.
`void`
`removeWorkingSet(IWorkingSet workingSet)`
Removes the working set
`void`
`restoreState(IMemento memento)`
Restores the state of the working set manager from the given memento.
`void`
`saveState(IMemento memento)`
Saves the state of the working set manager to the given memento.

### Methods inherited from class org.eclipse.ui.internal.AbstractWorkingSetManager

`addExtension, addPropertyChangeListener, addToWorkingSets, addWorkingSet, bundleChanged, createAggregateWorkingSet, createWorkingSet, createWorkingSet, createWorkingSetEditWizard, createWorkingSetNewWizard, createWorkingSetSelectionDialog, createWorkingSetSelectionDialog, createWorkingSetSelectionDialog, dispose, equals, firePropertyChange, getAllWorkingSets, getRecentWorkingSets, getRecentWorkingSetsLength, getWorkingSet, getWorkingSets, hashCode, internalAddRecentWorkingSet, internalRemoveWorkingSet, removeExtension, removePropertyChangeListener, restoreMruList, restoreWorkingSet, restoreWorkingSetState, saveMruList, saveState, saveWorkingSetState, setRecentWorkingSetsLength, workingSetChanged`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkingSetManager

`addPropertyChangeListener, addToWorkingSets, addWorkingSet, createAggregateWorkingSet, createWorkingSet, createWorkingSet, createWorkingSetEditWizard, createWorkingSetNewWizard, createWorkingSetSelectionDialog, createWorkingSetSelectionDialog, createWorkingSetSelectionDialog, dispose, getAllWorkingSets, getRecentWorkingSets, getRecentWorkingSetsLength, getWorkingSet, getWorkingSets, removePropertyChangeListener, setRecentWorkingSetsLength`

## Constructor Details

### LocalWorkingSetManager

public LocalWorkingSetManager(BundleContext context)

## Method Details

### removeWorkingSet

public void removeWorkingSet(IWorkingSet workingSet)
Removes the working set

Specified by:
  `removeWorkingSet` in interface `IWorkingSetManager`
Parameters:
  `workingSet` - the working set to remove

### addRecentWorkingSet

public void addRecentWorkingSet(IWorkingSet workingSet)
Adds a working set to the top of the list of most recently used working sets, making it the most recently used working set. The last (oldest) item will be deleted if the list exceeds the size limit.

Specified by:
  `addRecentWorkingSet` in interface `IWorkingSetManager`
Parameters:
  `workingSet` - the working set to add to the list of most recently used working sets.

### saveState

public void saveState(IMemento memento)
Saves the state of the working set manager to the given memento.

Specified by:
  `saveState` in interface `ILocalWorkingSetManager`
Parameters:
  `memento` - the memento to save the state to

### restoreState

public void restoreState(IMemento memento)
Restores the state of the working set manager from the given memento. The method can only be called as long as the working set manager is still empty.

Specified by:
  `restoreState` in interface `ILocalWorkingSetManager`
Parameters:
  `memento` - the memento to restore the state from